App.Collections.Messages = Backbone.Collection.extend({
	model: App.Models.Message,
	/*
	currentFolder:'inbox',
	currentAcct:-1,
	currentPage: 1,
	// this.currentFolder;
	*/
	url: function(folder){
		return App.baseUrl + '/api/mail/list?folder='+this.currentFolder; //+'&range='+this.currentPage;
	}
});

/*
App.Collections.Messages.prototype.setCurrentFolder = function(folder){
	this.currentFolder = folder;
};

App.Collections.Messages.prototype.setCurrentAcct = function(acct){
	this.currentAcct = acct;
}

App.Collections.Messages.prototype.getCurrentAcct = function(){
	return this.currentAcct;
}

App.Collections.Messages.prototype.incrementPage = function(){
	this.currentPage += 1;
};

App.Collections.Messages.prototype.decrementPage = function(){
	
	if(this.currentRange > 1 ){
		this.currentRange -= 1;
	}
};
*/
